#ifndef	__PERSON_H__
#define	__PERSON_H__

typedef struct __Person		Person;

struct __Person {
	char *fullname;
	char *firstname;
	char *lastname;
};

Person* Person_Alloc(void);
void    Person_Free(Person*);
Person* Person_Ctor(Person*);
Person* Person_CtorWithName(Person*,char*);

Person* Person_NewWithName(char*);
void      Person_Delete(Person*);

char* Person_GetFullName(Person*);
char* Person_GetFirstName(Person*);
char* Person_GetLastName(Person*);

void Person_SetFullName(Person*,char*);
void Person_SetFirstName(Person*,char*);
void Person_SetLastName(Person*,char*);

#endif/*__PERSON_H__*/

